From: Felix Fietkau <nbd@nbd.name>
Subject: jffs2: add splice ops

Add splice_read using generic_file_splice_read.
Add splice_write using iter_file_splice_write

Signed-off-by: Felix Fietkau <nbd@nbd.name>
---

--- a/fs/jffs2/file.c
+++ b/fs/jffs2/file.c
@@ -53,6 +53,8 @@ const struct file_operations jffs2_file_
 	.open =		generic_file_open,
  	.read_iter =	generic_file_read_iter,
  	.write_iter =	generic_file_write_iter,
+	.splice_read =	generic_file_splice_read,
+	.splice_write =	iter_file_splice_write,
 	.unlocked_ioctl=jffs2_ioctl,
 	.mmap =		generic_file_readonly_mmap,
 	.fsync =	jffs2_fsync,
